"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var LinkList_1 = __importDefault(require("../LinkList/LinkList"));
function Queue(arr) {
    if (arr === void 0) { arr = []; }
    var queue = new LinkList_1.default(arr);
    this.size = function () {
        return queue.size();
    };
    this.empty = function () {
        return queue.empty();
    };
    this.clear = function () {
        queue.clear();
    };
    this.push = function (element) {
        queue.push_back(element);
    };
    this.pop = function () {
        queue.pop_front();
    };
    this.front = function () {
        return queue.front();
    };
}
Object.freeze(Queue);
exports.default = Queue;
